#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: happstack-server
version: 7.4.4
id: happstack-server-7.4.4-a244cdf96f2a871b16ad21c792882da6
key: happs_KhCQNYURc2A5zG12MPSEZx
license: BSD3
maintainer: Happstack team <happs@googlegroups.com>
homepage: http://happstack.com
synopsis: Web related tools and services.
description:
    Happstack Server provides an HTTP server and a rich set of functions for routing requests, handling query parameters, generating responses, working with cookies, serving files, and more. For in-depth documentation see the Happstack Crash Course <http://happstack.com/docs/crashcourse/index.html>
category: Web, Happstack
author: Happstack team, HAppS LLC
exposed: True
exposed-modules:
    Happstack.Server Happstack.Server.Auth Happstack.Server.Cookie
    Happstack.Server.Compression Happstack.Server.Client
    Happstack.Server.Error Happstack.Server.FileServe
    Happstack.Server.FileServe.BuildingBlocks Happstack.Server.I18N
    Happstack.Server.Internal.Compression
    Happstack.Server.Internal.Cookie Happstack.Server.Internal.Handler
    Happstack.Server.Internal.Types Happstack.Server.Internal.Listen
    Happstack.Server.Internal.LowLevel
    Happstack.Server.Internal.LogFormat
    Happstack.Server.Internal.MessageWrap
    Happstack.Server.Internal.Multipart
    Happstack.Server.Internal.Socket
    Happstack.Server.Internal.TimeoutIO
    Happstack.Server.Internal.TimeoutManager
    Happstack.Server.Internal.TimeoutSocket
    Happstack.Server.Internal.Monads Happstack.Server.Monads
    Happstack.Server.Proxy Happstack.Server.Response
    Happstack.Server.Routing Happstack.Server.RqData
    Happstack.Server.SURI Happstack.Server.SimpleHTTP
    Happstack.Server.Types Happstack.Server.Validation
hidden-modules: Happstack.Server.Internal.Clock
                Happstack.Server.Internal.LazyLiner
                Happstack.Server.Internal.RFC822Headers
                Happstack.Server.Internal.SocketTH Happstack.Server.SURI.ParseURI
                Paths_happstack_server
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/happstack-server-7.4.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/happstack-server-7.4.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/happstack-server-7.4.4
hs-libraries: HShappstack-server-7.4.4-KhCQNYURc2A5zG12MPSEZx
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    base64-bytestring-1.0.0.1-203a5235c20e5fba4053f9da99918220
    blaze-html-0.8.1.0-d3c5316b90f605c84e03154ae5cabc4c
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    exceptions-0.8.0.2-b08bd0de7dff383d124cad3f4c34eddd
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    hslogger-1.2.9-f02e9b6c3a3df66a8ab4f0e53e6104f5
    html-1.0.1.2-e6bf691e7a1dca9cd110e483ffd68985
    monad-control-1.0.0.4-9b806c409db033e571fac7650e2dbb97
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    network-2.6.2.1-9490071e8bb5bde351680d4e75451a12
    network-uri-2.6.0.3-cba151099658f916a552d33323899023
    old-locale-1.0.0.7-2f3f4311e12e7847c2af472c26151237
    parsec-3.1.9-bb68650144afd3b33b41bc72edc4b196
    process-1.2.3.0-d0490258ea9b7ac28566ea8dc1a5cc4a
    sendfile-0.7.9-e8a9d2c8df0d84c64ea4c9cb4b0ae1ea
    syb-0.5.1-09089498a055bd723b4a95c1351d3c8a
    system-filepath-0.4.13.4-655608d58fdc83464156b3ef1a421e1f
    template-haskell-2.10.0.0-08b8877239099034286979627d937e79
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    threads-0.5.1.3-632d970c345092ad7ce9893710fec10f
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    time-compat-0.1.0.3-1084f81f54266130e8ffffaea7d9d89f
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    transformers-base-0.4.4-47d17665c0db26ffcb68c46caa7346c1
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
    unix-2.7.1.0-c796801a586150abeef86700e7ee3ace
    utf8-string-1-ee5643b7fea66dd4ee6e92ea89e4fe77
    xhtml-3000.2.1-5a3d6f023f8af89b9c3e60e732c4b723
    zlib-0.5.4.2-d36f531ac8e39e3d6ba58d89b378a382
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/happstack-server-7.4.4/html/happstack-server.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/happstack-server-7.4.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
